Subject: [secdir] secdir review of draft-ietf-dhc-dhcpv4-active-leasequery-06

From: Tom Yu <[email-masked]>
Date: Tue, 29 Sep 2015 22:44:12 -0400

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

Summary: ready with nits

The Security Considerations of the draft seem reasonably complete.
There could be a minor traffic analysis risk in some environments due to
the real-time nature of Active Leasequery -- if the connection between
an authorized requester and the DHCP server traverses network paths
monitored by an adversary, the adversary could learn about the timing of
DHCP events, and might be able distinguish among different types of
events by the relative sizes of the messages.  This could be true even
if TLS is in use.  I suspect that the risk is minimal in typical
deployments.

-Tom